File indexing completed on 2024-05-12 04:44:28

0001 #!/bin/bash -fxv
0002 # NOTE #!/bin/bash -fxv prints all executed commands.
0003 
0004 # SPDX-FileCopyrightText: Lukas Sommer <sommerluk@gmail.com>
0005 # SPDX-License-Identifier: BSD-2-Clause OR MIT
0006 
0007 
0008 
0009 
0010 
0011 # -e exits on error,
0012 # -u errors on undefined variables,
0013 # and -o (for option) pipefail exits on command pipe failures
0014 set -euo pipefail
0015 errorcount=0
0016 
0017 # Run generatescreenshots. This makes sure that Doxygen documentation
0018 # builds correctly also after a re-run of generatescreenshots.
0019 rm --recursive --force build
0020 scripts/update-screenshots.sh
0021 echo "Run Doxygen."
0022 # Doxygen run. We let Doxygen update the config files, so that no
0023 # warnings for deprecated options will ever be issued. This seems
0024 # useful, because it is likely to have different Doxygen versions
0025 # on the developer’s system and the CI system.
0026 mkdir --parents doxyconf
0027 rm --recursive --force doxyconf/*
0028 echo Doxygen “public API and internalsstarted.
0029 cp docs/Doxyfile.internal doxyconf/internaldoc
0030 doxygen -u doxyconf/internaldoc
0031 # Redirect Doxygen’s stderr (2) to stdout (1) to be able to filter it via pipe
0032 doxygen doxyconf/internaldoc > artifact_doxygen_temp 2>&1
0033 echo Doxygen “public API and internalsfinished.
0034 echo Doxygen “public APIstarted.
0035 cp docs/Doxyfile.external doxyconf/externaldoc
0036 doxygen -u doxyconf/externaldoc
0037 # Redirect Doxygen’s stderr (2) to stdout (1) to be able to filter it via pipe
0038 doxygen doxyconf/internaldoc >> artifact_doxygen_temp 2>&1
0039 echo Doxygen “public APIfinished.
0040 sort --unique artifact_doxygen_temp  > artifact_doxygen.txt
0041 rm artifact_doxygen_temp
0042 rm --recursive --force doxyconf
0043 [ -s artifact_doxygen.txt ] && ((errorcount++))
0044 echo "Run Doxygen finished."
0045 
0046 echo Terminating continuous integration with exit code $errorcount.
0047 # NOTE The exit code of the last command is available with $? in the shell.
0048 exit $errorcount